Bug 139072 - synaptics touchtpad doesn't work on a Medion MD5400 laptop
synaptics touchtpad doesn't work on a Medion MD5400 laptop
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-12 15:12 EST by julian
Modified: 2015-01-04 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version: 2.6.16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-17 08:09:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log file of Xorg after modifying the Xorg.conf in step 4 (34.57 KB, text/plain)
2004-11-12 15:13 EST, julian
no flags Details

  None (edit)
Description julian 2004-11-12 15:12:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; de-at) AppleWebKit/125.5.5 
(KHTML, like Gecko) Safari/125.11

Description of problem:
i installed FC3 on a Medion 5400 laptop (which has a synaptics touchpad)
during the install i used a external USB mouse, after the install i also wanted to use the 
synaptics touchpad, but it didn't work at all (no pointer movement)

it seems it is really impossible to get the synaptics touchpad working with FC3 on this 
laptop, since kudzu doesn't see it at all:
"python
>>> import kudzu
>>> kudzu.probe(kudzu.CLASS_MOUSE,kudzu.BUS_UNSPEC,kudzu.PROBE_ALL)
[]
>>> kudzu.probe(kudzu.CLASS_UNSPEC,kudzu.BUS_PSAUX,kudzu.PROBE_ALL)
[Desc:           AT Translated Set 2 keyboard
Driver:         ignore
Device:         None
]"
 
also a "more /proc/bus/input/devices" only reveals the keyboard:

"I: Bus=0011 Vendor=0001 Product=0001 Version=ab41
N: Name="AT Translated Set 2 keyboard"
P: Phys=isa0060/serio0/input0
H: Handlers=kbd event0 
B: EV=120013 
B: KEY=4 2000000 3802078 f840d001 f2ffffdf ffefffff ffffffff fffffffe 
B: MSC=10 
B: LED=7"

nevertheless i've tried the following:
1. adding
 "Section "InputDevice"
 Identifier "Mouse0"
 Driver "mouse"
 Option "Protocol" "PS/2"
 Option "Device" "/dev/psaux"
 Option "Emulate3Buttons"
 Option "Emulate3Timeout" "50"
 Option "SendCoreEvents" "true"
 EndSection"
to my Xorg.conf, but since /dev/psaux doesn't exist, it doesnt work

i also tried doing cd /dev;./MAKEDEV psaux
 but when i did "cat psaux" it says something like "no applicable device found"

in /dev/input only mice and mouse0 exist, which both only respond to the external 
mouse...

if i disconnect the USB mouse, mouse0 disappears...and no input source is left

2. i've also tried adding "psmouse.proto=imps" to the grup.conf, no success

3. select the "synaptics touchpad" in system-config-mouse and do a  system-config-
display --reconfig

4. editing my Xorg.conf to include:
Section "InputDevice"
	Identifier		"Synaptics"
	Driver		"synaptics"
	Option		"Device" "/dev/input/mice"
	Option		"Protocol" "auto-dev"
	Option		"Emulater3Buttons" "yes"
EndSection

[..]
InputDevice "Synaptics" "AlwaysCore"
[...]
Load "synaptics"

needless to say, none of those steps made the touchpad respond..

How reproducible:
Always

Steps to Reproduce:
1. install fedora core on a medion md5400
2. try to use the touchpad
    

Actual Results:  using the touchpad doesn't move the cursor

Expected Results:  using the touchpad doesn't moves the cursor

Additional info:
Comment 1 julian 2004-11-12 15:13:34 EST
Created attachment 106600 [details]
log file of Xorg after modifying the Xorg.conf in step 4
Comment 2 Sergey Burnevsky 2004-11-13 03:01:00 EST
If you have synaptics rpm installed, then you'll find additional info
on how get it working in /usr/share/doc/synaptics. Particularly it's
needed to recompile kernel adding some features (evdev) and even patch
it beforehand, if you have ALPS synaptics touchpad. 
I'm going to do the same and my assumption is that after this
patch/compile there'll be additional event handler in /proc...
Comment 3 julian 2004-11-13 08:35:37 EST
CONFIG_MOUSE_PS2=y
CONFIG_INPUT_EVDEV=y

these are already in the config of the standard FC3 kernel, so i guess  i don't need to 
recompile
i don't have a ALPS touchpad
i just want to get the basic pointing/clicking to work, no special features like tap
Comment 4 julian 2004-11-18 09:33:26 EST
here is the resolution:

i added "i8042.nomux" to the kernel line in /etc/grub.conf

the touchpad worked after the next reboot

i guess this should either be added to the grub.conf automatically, or it should work 
without it beeing there
Comment 5 Dave Jones 2005-07-15 16:41:55 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 6 julian 2005-07-23 10:34:39 EDT
i've changed the bug to "fc4" since it still occurs still with a fully updated fc4 system (kernel 1398 or 
something)

so, the touchpad only works if "i8042.nomux" is in the kernel line in "/etc/grub.conf"

i've also "psmouse=proto.imps" in the kernel line so if this might cause problems plese tell me so i can 
retest without it
Comment 7 Need Real Name 2005-08-25 14:54:45 EDT
Confirmed that I'm having similar in the latest FC4 kernel (actually,
I'm on devel 2.6.12-1.1446_FC4 for various reasons) on my IBM T40
thinkpad.  As stated above, EVDEV is compiled into the standard
kernel, as is SHMEM. My xorg.conf sections:

Section "ServerLayout"
        Identifier     "Default Layout"
        Screen      0  "Screen0" 0 0
        InputDevice    "Mouse0" "CorePointer"
        InputDevice    "Keyboard0" "CoreKeyboard"
        InputDevice    "Synaptics" "AlwaysCore"
EndSection

Section "InputDevice"
        Identifier  "Mouse0"
        Driver      "mouse"
        Option      "Protocol" "IMPS/2"
        Option      "Device" "/dev/input/mice"
        Option      "ZAxisMapping" "4 5"
        Option      "Emulate3Buttons" "yes"
EndSection

Section "InputDevice"
        Identifier  "Synaptics"
        Driver      "synaptics"
        Option      "Device" "/dev/input/event0"
        Option      "Protocol" "event"
        Option "SendCoreEvents"
        Option "SHMConfig" "on"
        Option "LeftEdge" "1900"
        Option "RightEdge" "5400"
(etc.)
EndSection

Without "i8042.nomux" on the grub kernel line, Xorg.0.log:
(II) Synaptics touchpad driver version 0.14.0
Synaptics no synaptics event device found (checked 3 nodes)
(**) Option "Device" "/dev/input/mice"
Query no Synaptics: 6003C8
(EE) Synaptics no synaptics touchpad detected and no repeater device
(EE) Synaptics Unable to query/initialize Synaptics hardware.
(EE) PreInit failed for input device "Synaptics"
(II) UnloadModule: "synaptics"
(II) XINPUT: Adding extended input device "Keyboard0" (type:
KEYBOARD)
(II) XINPUT: Adding extended input device "Mouse0" (type: MOUSE)
(II) Mouse0: ps2EnableDataReporting: succeeded

With "i8042.nomux" it seems to get a bit further:
(II) Synaptics touchpad driver version 0.14.0
(**) Option "Device" "/dev/input/event0"
(**) Option "SHMConfig" "on"
(**) Option "LeftEdge" "1900"
(**) Option "RightEdge" "5400"
(**) Option "TopEdge" "1400"
(**) Option "BottomEdge" "4500"
(**) Option "FingerLow" "25"
(**) Option "FingerHigh" "30"
(**) Option "MaxTapTime" "180"
(**) Option "MaxTapMove" "220"
(**) Option "VertScrollDelta" "100"
(EE) Synaptics no synaptics touchpad detected and no repeater device
(EE) Synaptics Unable to query/initialize Synaptics hardware.
(EE) PreInit failed for input device "Synaptics"
(II) UnloadModule: "synaptics"
(II) XINPUT: Adding extended input device "Keyboard0" (type:
KEYBOARD)
(II) XINPUT: Adding extended input device "Mouse0" (type: MOUSE)
(II) Mouse0: ps2EnableDataReporting: succeeded

# synclient -l
Can't access shared memory area. SHMConfig disabled?
(separate problem?)

# cat /proc/bus/input/devices
I: Bus=0011 Vendor=0001 Product=0001 Version=ab54
N: Name="AT Translated Set 2 keyboard"
P: Phys=isa0060/serio0/input0
H: Handlers=kbd event0
B: EV=120013
B: KEY=4 2000078 3802078 f840d001 f2ffffdf ffefffff ffffffff fffffffe
B: MSC=10
B: LED=7

I: Bus=0011 Vendor=0002 Product=0001 Version=0000
N: Name="PS/2 Synaptics TouchPad"
P: Phys=isa0060/serio1/input0
H: Handlers=mouse0 event1
B: EV=7
B: KEY=70000 0 0 0 0 0 0 0 0
B: REL=3

# ls -l /dev/input/event?
0 crw-rw----  1 root root 13, 64 Aug 25  2005 /dev/input/event0
0 crw-rw----  1 root root 13, 65 Aug 25  2005 /dev/input/event1

Sorry if it's a configuration problem, please put me right - I just
can't see it. My touchpad works fine - but as a normal mouse with no
synaptic enhancements.  I also boot with "psmouse.proto=imps" as I've
found mouse behaviour erratic without but removing this doesn't help.
I've also tried "auto-dev" as protocol /dev/input/mice as device - 
- doesn't find it at all.  The synaptics docs conflict somewhat over
what to use. Is this a bug, or am I just doing something wrong?
Comment 8 Dave Jones 2005-09-30 03:19:16 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 9 julian 2005-10-11 09:54:29 EDT
as of  2.6.13-1.1526_FC4 the addition of "i8042.nomux" is still needed to get the touchpad to do 
anything. "psmouse=proto.imps" isn't needed and doesn't have an impact. 
bug still open
Comment 10 Dave Jones 2005-11-10 15:27:50 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 11 julian 2005-11-16 05:41:39 EST
still the same with "2.6.14-1.1637_FC4"
why don't you just close it as WONTFIX, if you aren't going to fix it anyway...?
Comment 12 Dave Jones 2005-12-27 18:19:26 EST
it's not a case of not wanting to fix it, it's a case of the number of bugs
filed overwhelming developers.

The lack of hardware to test with also means we're somewhat dependant on being
hopeful that upstream changes will correct the problem.  Contacting the upstream
developers of the synaptics driver may help your situation, as those guys have
the hardware to test with, as well as knowledge of the driver internals.

What version of the synaptics rpm do you have installed ?
Comment 13 julian 2006-01-06 17:30:03 EST
>it's not a case of not wanting to fix it, it's a case of the number of bugs filed overwhelming 
developers.
sorry didn't want to sound rude

>What version of the synaptics rpm do you have installed ?
0.14.0-2

>Contacting the upstream developers of the synaptics driver may help your situation
but shouldn't the touchpad work for basic point&click even without the synaptics driver?
from the homepage "A Synaptics touchpad by default operates in compatibility mode by emulating a 
standard mouse. However, by using a dedicated driver, more advanced features of the touchpad 
becomes available."
in this case this would be a kernel bug and not a bug in the synaptics driver?
Comment 14 Dave Jones 2006-01-12 19:18:55 EST
maybe. but they know this hardware better than I do, and may be familiar with
this problem already, and have pointers to a solution.
Comment 15 Dave Jones 2006-02-03 02:26:42 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 16 julian 2006-02-03 08:36:24 EST
i've been working with upstream and this *should* be fixed in 2.6.16
Comment 17 Dave Jones 2006-02-03 14:14:43 EST
great, thanks.
If you have a pointer to an upstream patch that solves it, I can backport it to
the next 2.6.15 update FC4 gets.
Comment 18 julian 2006-02-26 19:44:29 EST
i was informed the bug is fixed in 2.6.16 because :
"With 2.6.16 "usb-handoff" will be active by default so everything should work out of the box."

i don't think backporting that is neccesary

thanks
Comment 19 julian 2006-03-27 04:13:12 EST
fixed in FC5 due to having a 2.6.16-based kernel
Comment 20 Dave Jones 2006-09-16 23:18:14 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 21 Dave Jones 2006-10-16 20:33:04 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.